/**
 * nSX2 - an OpenSource PS2 Emulator
 * Copyright (C) 2002 Muad
 *
 * homepage: http://nsx2.emulation64.com
 * email address: atreides.muaddib@caramail.com
 * 
 * If you want to contribute to the project please contact
 * me first (maybe someone is already making what you are
 * planning to do).
 *
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/
#include <stdlib.h>
#include <stdio.h>


#include <errno.h>
#include <string.h>

#include "nSX2.h"
#include "PS2Edefs.h"
#include "Loader_elf.h"


void LOADER_Log ( char * ftext  , ...   ) {
	char LOADER_LogText[ FILE_NAME_LENGHT ];

	va_list ap;
  	va_start (ap, ftext);
   	vsprintf (LOADER_LogText, ftext, ap);
   	va_end (ap);

	sprintf(LOADER_LogText,"%s\n",LOADER_LogText);
	PrintToLOADEROutput (  LOADER_LogText ); 

}





