/**
 * nSX2 - an OpenSource PS2 Emulator
 * Copyright (C) 2002 Muad
 *
 * homepage: http://nsx2.emulation64.com
 * email address: atreides.muaddib@caramail.com
 * 
 * If you want to contribute to the project please contact
 * me first (maybe someone is already making what you are
 * planning to do).
 *
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/

char debugTempTextVU0 [200];

void VU0_ADDbc	(void);	

void VU0_SUBbc	(void);		
void VU0_MADDbc	(void);	
void VU0_MSUBbc	(void);	


void VU0_MAXbc	(void);		
void VU0_MINIbc	(void);	

void VU0_MULbc	(void);	
void VU0_MULq	(void);		
void VU0_MAXi	(void);		
void VU0_MULi	(void);		
void VU0_MINIi	(void);	

void VU0_ADDq	(void);	
void VU0_MADDq	(void);		
void VU0_ADDi	(void);		
void VU0_MADDi	(void);		
void VU0_SUBq	(void);		
void VU0_MSUBq	(void);	 
void VU0_SUBi	(void);		
void VU0_MSUBi	(void);	
void VU0_ADD	(void);	 	
void VU0_MADD	(void);	 	
void VU0_MUL	(void);		
void VU0_MAX	(void);		
void VU0_SUB	(void);		
void VU0_MSUB	(void);		
void VU0_OPMSUB	(void);	
void VU0_MINI	(void);	
void VU0_NI		(void);	

void VU0_COP2_MI_VU0_UPPER_T60(void);	
void VU0_COP2_MI_VU0_UPPER_T61(void);		
void VU0_COP2_MI_VU0_UPPER_T62(void);							
void VU0_COP2_MI_VU0_UPPER_T63(void);	



void VU0_ADDAbc	(void);	
void VU0_SUBAbc	(void);	
void VU0_MADDAbc(void);		
void VU0_MSUBAbc(void);		
void VU0_ITOF0	(void);		
void VU0_FTOI0	(void);		
void VU0_MULAbc	(void);	
void VU0_MULAq	(void);	
void VU0_ADDAq	(void);	 	
void VU0_SUBAq	(void);		
void VU0_ADDA	(void);			
void VU0_SUBBA	(void);	 	


void VU0_ITOF4	(void);		
void VU0_FTOI4	(void);			
void VU0_ABS	(void);	
void VU0_MADDAq	(void);	
void VU0_MSUBAq	(void);	
void VU0_MADDA	(void);			
void VU0_MSUBA	(void);	



void VU0_ITOF12	(void);	
void VU0_FTOI12	(void);		
void VU0_MULAi	(void);	
void VU0_ADDAi	(void);		
void VU0_SUBAi	(void);		
void VU0_MULA	(void);			
void VU0_OPMULA	(void);			





void VU0_ITOF15	(void);		
void VU0_FTOI15	(void);	
void VU0_CLIP	(void);	
void VU0_MADDAi	(void);	
void VU0_MSUBAi	(void);	
void VU0_NOP	(void);		




void VU0_LQ		(void);		
void VU0_SQ		(void);	
void VU0_ILW	(void);		
void VU0_ISW	(void);				
void VU0_IADDIU	(void);
void VU0_ISUBIU	(void);	
void VU0_FCEQ	(void);	
void VU0_FCSET	(void);	
void VU0_FCAND	(void);	
void VU0_FCOR	(void);	
void VU0_FSEQ	(void);		
void VU0_FSSET	(void);		
void VU0_FSAND	(void);		
void VU0_FSOR	(void);
void VU0_FMEQ	(void);	
void VU0_FMAND	(void);	
void VU0_FMOR	(void);	
void VU0_FCGET	(void);		
void VU0_B		(void);		
void VU0_BAL	(void);
void VU0_JR		(void);		
void VU0_JALR	(void);		
void VU0_IBEQ	(void);	
void VU0_IBNE	(void);	
void VU0_IBLTZ	(void);		
void VU0_IBGTZ	(void);		
void VU0_IBLEZ	(void);		
void VU0_IBGEZ	(void);
void VU0_COP2_MI_VU0_LOWER_T64(void);


void VU0_IADD	(void);	
void VU0_ISUB	(void);	
void VU0_IADDI	(void);	
void VU0_IAND	(void);		
void VU0_IOR	(void);
void VU0_COP2_MI_VU0_LOWER_T64_60(void);	
void VU0_COP2_MI_VU0_LOWER_T64_61(void);	
void VU0_COP2_MI_VU0_LOWER_T64_62(void);	
void VU0_COP2_MI_VU0_LOWER_T64_63(void);




void VU0_MOVE	(void);	
void VU0_LQI	(void);	
void VU0_DIV	(void);	
void VU0_MTIR	(void);
void VU0_RNEXT	(void);	
void VU0_MFP	(void);	
void VU0_XTOP	(void);	
void VU0_XGKICK	(void);	
void VU0_ESADD	(void);	
void VU0_EATANxy(void);
void VU0_ESQRT	(void);	
void VU0_ESIN	(void);




void VU0_MR32	(void);	
void VU0_SQI	(void);	
void VU0_SQRT	(void);	
void VU0_MFIR	(void);
void VU0_RGET	(void);	
void VU0_XITOP	(void);
void VU0_ERSADD	(void);
void VU0_EATANxz(void);
void VU0_ERSQRT	(void);
void VU0_EATAN	(void);



void VU0_LQD	(void);	
void VU0_RSQRT	(void);	
void VU0_ILWR	(void);
void VU0_RINIT	(void);
void VU0_ELENG	(void);	
void VU0_ESUM	(void);	
void VU0_ERCPR	(void);	
void VU0_EEXP	(void);


void VU0_SQD	(void);	
void VU0_WAITQ	(void);	
void VU0_ISWR	(void);
void VU0_RXOR	(void);
void VU0_ERLENG	(void);
void VU0_WAITP	(void);


