/*  Pcsx2 - Pc Ps2 Emulator
 *  Copyright (C) 2002-2003  Pcsx2 Team
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "../Common.h"
#include "Rpc_services.h"

/////////////////////////////////////////////// 0001
void mtapman_sceMtapPortOpen(struct t_sif_rpc_call*	call, u32 *bin, u32 *bout){
#ifdef RPC_LOG
	RPC_LOG("[RPC:mtapman;0x%08X] mtapman_sceMtapPortOpen\n", call->send_size);
#endif
	bout[1]=1; // multitap is okay :P
}

//ENTRYPOINT
void sifcall_mtapman1(struct t_sif_rpc_call*	call, u32 *bin, u32 *bout){
	switch (call->rpc_number) {
		case 1: mtapman_sceMtapPortOpen(call, bin, bout); break;
		default:
#ifdef RPC_LOG
			RPC_LOG("[RPC:mtapman1] <%04X> function is not implemented\n", call->rpc_number);
#endif
//			*bout=-1;	//general fail
			break;
	}
}
