/**
 * nSX2 - an OpenSource PS2 Emulator
 * Copyright (C) 2002 Muad
 *
 * homepage: http://nsx2.emulation64.com
 * email address: atreides.muaddib@caramail.com
 * 
 * If you want to contribute to the project please contact
 * me first (maybe someone is already making what you are
 * planning to do).
 *
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/

/* Define or Undefine if you want  LOG */
#define	SYSCALL_LOG	SYSCALL_Log
//#undef	SYSCALL_LOG

#define	THREAD_LOG	THREAD_Log
//#undef	THREAD_LOG


_u32 	BIOS_AddINTCHandler 	( _u32 fCause, 	_u32 fHandlerAdd, _u32 fNext );
_u32	BIOS_RemoveIntcHandler	(_u32 fCause, 	_u32 fHandlerID );


_u32 	BIOS_AddDmacHandler 	( _u32 fChannel,_u32 fHandlerAdd, _u32 fNext ) ;
_u32	BIOS_RemoveDmacHandler	(_u32 fChannel, _u32 fHandlerID ) ;
	

void SYSCALL_PrintDebugInfo();

void SYSCALL_RFU000_FullReset( );
void SYSCALL_ResetEE( );
void SYSCALL_SetGsCrt( );
void SYSCALL_RFU003( );
void SYSCALL_Exit( );
void SYSCALL_RFU005( );
void SYSCALL_LoadPS2Exe( );
void SYSCALL_ExecPS2( );
void SYSCALL_RFU008( );
void SYSCALL_RFU009( );
void SYSCALL_AddSbusIntcHandler( );
void SYSCALL_RemoveSbusIntcHandler( );
void SYSCALL_Interrupt2Iop( );
void SYSCALL_SetVTLBRefillHandler( );
void SYSCALL_SetVCommonHandler( );
void SYSCALL_SetVInterruptHandler( );
void SYSCALL_AddIntcHandler( );
void SYSCALL_RemoveIntcHandler( );
void SYSCALL_AddDmacHandler( );
void SYSCALL_RemoveDmacHandler( );
void SYSCALL__EnableIntc( );
void SYSCALL__DisableIntc( );
void SYSCALL__EnableDmac( );
void SYSCALL__DisableDmac( );
void SYSCALL__SetAlarm( );
void SYSCALL__ReleaseAlarm( );
void SYSCALL_NI();
void SYSCALL_CreateThread( );
void SYSCALL_DeleteThread( );
void SYSCALL_StartThread( );
void SYSCALL_ExitThread( );
void SYSCALL_ExitDeleteThread( );
void SYSCALL_TerminateThread( );
void SYSCALL_DisableDispatchThread( );
void SYSCALL_EnableDispatchThread( );
void SYSCALL_ChangeThreadPriority( );
void SYSCALL_RotateThreadReadyQueue( );
void SYSCALL_ReleaseWaitThread( );
void SYSCALL_GetThreadId( );
void SYSCALL_ReferThreadStatus( );
void SYSCALL_SleepThread( );
void SYSCALL_WakeupThread( );
void SYSCALL_CancelWakeupThread( );
void SYSCALL_SuspendThread( );
void SYSCALL_ResumeThread( );
void SYSCALL_JoinThread( );
void SYSCALL_RFU060( );
void SYSCALL_RFU061( );
void SYSCALL_EndOfHeap( );
void SYSCALL_RFU063( );
void SYSCALL_CreateSema( );
void SYSCALL_DeleteSema( );
void SYSCALL_SignalSema( );
void SYSCALL_WaitSema( );
void SYSCALL_PollSema( );
void SYSCALL_ReferSemaStatus( );
void SYSCALL_RFU073( );
void SYSCALL_SetOsdConfigParam( );
void SYSCALL_GetOsdConfigParam( );
void SYSCALL_GetGsHParam( );
void SYSCALL_GetGsVParam( );
void SYSCALL_SetGsHParam( );
void SYSCALL_SetGsVParam( );
void SYSCALL_RFU080_CreateEventFlag( );
void SYSCALL_RFU081_DeleteEventFlag( );
void SYSCALL_RFU082_SetEventFlag( );
void SYSCALL_RFU083_iSetEventFlag( );
void SYSCALL_RFU084_ClearEventFlag( );
void SYSCALL_RFU085_iClearEventFlag( );
void SYSCALL_RFU086_WaitEvnetFlag( );
void SYSCALL_RFU087_PollEvnetFlag( );
void SYSCALL_RFU088_iPollEvnetFlag( );
void SYSCALL_RFU089_ReferEventFlagStatus( );
void SYSCALL_RFU089_iReferEventFlagStatus( );
void SYSCALL_RFU091( );
void SYSCALL_EnableIntcHandler( );
void SYSCALL_DisableIntcHandler( );
void SYSCALL_EnableDmacHandler( );
void SYSCALL_DisableDmacHandler( );
void SYSCALL_KSeg0( );
void SYSCALL_EnableCache( );
void SYSCALL_DisableCache( );
void SYSCALL_GetCop0( );
void SYSCALL_FlushCache( );
void SYSCALL_CpuConfig( );
void SYSCALL_sceSifStopDma( );
void SYSCALL_SetCPUTimerHandler( );
void SYSCALL_SetCPUTimer( );
void SYSCALL_ForceRead( );
void SYSCALL_ForceWrite( );
void SYSCALL_GsGetIMR( );
void SYSCALL_GsPutIMR( );
void SYSCALL_SetPgifHandler( );
void SYSCALL_SetVSyncFlag( );
void SYSCALL_RFU116( );
void SYSCALL_print( );
void SYSCALL_sceSifDmaStat( );
void SYSCALL_sceSifSetDma( );
void SYSCALL_sceSifSetDChain( );
void SYSCALL_sceSifSetReg( );
void SYSCALL_sceSifGetReg( );
void SYSCALL_ExecOSD( );
void SYSCALL_Deci2Call( );
void SYSCALL_PSMode( );
void SYSCALL_MachineType( );
void SYSCALL_GetMemorySize( );
void SYSCALL_isceSifSetDChain( );
void SYSCALL_isceSifSetDma( );
void SYSCALL_isceSifDmaStat( );
void SYSCALL_iGsPutIMR( );
void SYSCALL_iGsGetIMR( );
void SYSCALL_iCpuConfig( );
void SYSCALL_iFlushCache( );
void SYSCALL_iGetCop0( );
void SYSCALL_iDisableDmacHandler( );
void SYSCALL_iEnableDmacHandler( );
void SYSCALL_iDisableIntcHandler( );
void SYSCALL_iEnableIntcHandler( );
void SYSCALL_RFU090_iReferEventFlagStatus( );
void SYSCALL_iReferSemaStatus( );
void SYSCALL_iPollSema( );
void SYSCALL_iSignalSema( );
void SYSCALL_iResumeThread( );
void SYSCALL_iSuspendThread( );
void SYSCALL_iCancelWakeupThread( );
void SYSCALL_iWakeupThread( );
void SYSCALL_iReferThreadStatus( );
void SYSCALL_iReleaseWaitThread( );
void SYSCALL_iRotateThreadReadyQueue( );
void SYSCALL_iChangeThreadPriority( );
void SYSCALL_iTerminateThread( );
void SYSCALL__iReleaseAlarm( );
void SYSCALL__iSetAlarm( );
void SYSCALL__iDisableDmac( );
void SYSCALL__iEnableDmac( );
void SYSCALL__iDisableIntc( );
void SYSCALL__iEnableIntc( );
void SYSCALL_UKN_1();
void SYSCALL_RFU101_105();
void SYSCALL_SetOsdConfigParam2();

