/**
 * nSX2 - an OpenSource PS2 Emulator
 * Copyright (C) 2002 Muad
 *
 * homepage: http://nsx2.emulation64.com
 * email address: atreides.muaddib@caramail.com
 * 
 * If you want to contribute to the project please contact
 * me first (maybe someone is already making what you are
 * planning to do).
 *
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/
static void (*cop0_opc[32])(void) =
{
	MF0,	NI,		NI,	NI,	MT0,	NI,		NI,	NI,
   	BC0, 	NI, 	NI,	NI,	NI,		NI,		NI, NI,
  	C0,		C0,		C0,	C0,	C0,		C0,		C0,	C0,
	C0,		C0,		C0,	C0,	C0,		C0,		C0,	C0
};



static char * debug_cop0_opc[32] =
{
   	"MF0", 	"NI",		"NI",	"NI",	"MT0",	"NI", 	"NI",	"NI",
   	"BC0", 	"NI", 		"NI", 	"NI", 	"NI", 	"NI", 		"NI", 	"NI",
  	"C0",	"C0",		"C0",	"C0",	"C0",	"C0",		"C0",	"C0",
   	"C0",	"C0",		"C0",	"C0",	"C0",	"C0",		"C0",	"C0"
};

static void (*cop0c0_opc[64])(void) =
{
	NI, 	TLBR, 	TLBWI, 	NI, 	NI,		NI,		TLBWR,		NI,
	TLBP,	NI,		NI,		NI,		NI,		NI,		NI,			NI,		
	NI, 	NI, 	NI, 	NI, 	NI, 	NI, 	NI, 		NI ,
	ERET, 	NI, 	NI, 	NI, 	NI, 	NI, 	NI, 		NI ,	 
 	NI, 	NI, 	NI, 	NI, 	NI, 	NI, 	NI, 		NI ,
 	NI, 	NI, 	NI, 	NI, 	NI, 	NI, 	NI, 		NI ,
 	NI, 	NI, 	NI, 	NI, 	NI, 	NI, 	NI, 		NI ,
	EI, 	DI, 	NI, 	NI,		NI, 	NI, 	NI, 		NI  	 
};



static char * debug_cop0c0_opc[64] =
{
	"NI", 	"TLBR", "TLBWI", 	"NI", 	"NI",	"NI",	"TLBWR",	"NI",
	"TLBP",	"NI",	"NI",		"NI",	"NI",	"NI",	"NI",		"NI",		
	"NI",	"NI",	"NI",		"NI",	"NI",	"NI",	"NI",		"NI",
	"ERET",	"NI",	"NI",		"NI",	"NI",	"NI",	"NI",		"NI",
	"NI",	"NI",	"NI",		"NI",	"NI",	"NI",	"NI",		"NI",
	"NI",	"NI",	"NI",		"NI",	"NI",	"NI",	"NI",		"NI",
	"NI",	"NI",	"NI",		"NI",	"NI",	"NI",	"NI",		"NI",
	"EI",	"DI",	"NI",		"NI",	"NI",	"NI",	"NI",		"NI" 	 
};

static void (*cop0c0_bc0_opc[4])(void) =
{
	BC0F, 	BC0T, 	BC0FL, 	BC0TL 
};


static char * debug_cop0c0_bc0_opc[4] =
{
	"BC0F", 	"BC0T", 	"BC0FL", 	"BCOT4" 
};


