/**
 * nSX2 - an OpenSource PS2 Emulator
 * Copyright (C) 2002 Muad
 *
 * homepage: http://nsx2.emulation64.com
 * email address: atreides.muaddib@caramail.com
 * 
 * If you want to contribute to the project please contact
 * me first (maybe someone is already making what you are
 * planning to do).
 *
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/
#include <stdlib.h>
#include <stdio.h>

#include "nSX2.h"
#include "PS2Edefs.h"

#include "GIF.h"


/* From VPU1.mem -> GS ( with VU opcode : XGKICK )*/
void GIF_PATH1_Transfert( _u32 *memAdd ) {

	(*GSgifTransfer2)( memAdd );
}


/* From VIF1 -> GS ( with VIF Command : DIRECT/HL)*/
void GIF_PATH2_Transfert( _u32 *memAdd, _u32 size ) {

	(*GSgifTransfer)( memAdd, size );
}


/* From EE -> GS ( with DMAC )*/
void GIF_PATH3_Transfert( _u32 *memAdd, _u32 size ) {

	(*GSgifTransfer)( memAdd, size ) ;	
}










