/**
 * nSX2 - an OpenSource PS2 Emulator
 * Copyright (C) 2002 Muad
 *
 * homepage: http://nsx2.emulation64.com
 * email address: atreides.muaddib@caramail.com
 * 
 * If you want to contribute to the project please contact
 * me first (maybe someone is already making what you are
 * planning to do).
 *
 *
 * This program is free software; you can redistribute it and/
 * or modify it under the terms of the GNU General Public Li-
 * cence as published by the Free Software Foundation; either
 * version 2 of the Licence, or any later version.
 *
 * This program is distributed in the hope that it will be use-
 * ful, but WITHOUT ANY WARRANTY; without even the implied war-
 * ranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public Licence for more details.
 *
 * You should have received a copy of the GNU General Public
 * Licence along with this program; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139,
 * USA.
 *
**/
#ifndef _R5900_CORE_H
#define _R5900_CORE_H


void NOP		();

void SPECIAL	();
void REGIMM		();
void J			();
void JAL		(); 
void BEQ		(); 
void BNE		(); 
void BLEZ		(); 
void BGTZ		();
void ADDI		(); 
void ADDIU		(); 
void SLTI		(); 
void SLTIU		(); 
void ANDI		(); 
void ORI		(); 
void XORI		(); 
void LUI		();
void COP0		(); 
void COP1		(); 
void COP2		();

void BEQL		(); 
void BNEL		(); 
void BLEZL		(); 
void BGTZL		();
void DADDI		(); 
void DADDIU		(); 
void LDL		(); 
void LDR		(); 
void SPECIAL2	(); 

void LQ			();
void MDMX		(); 
void NI			();
void LB			(); 
void LH			(); 
void LWL		(); 
void LW			(); 
void LBU		(); 
void LHU		(); 
void LWR		(); 
void LWU		();
void SB			(); 
void SH			(); 
void SWL		(); 
void SW			(); 
void SDL		(); 
void SDR		(); 
void SWR		(); 
void CACHE		();

void LWC1		(); 

void PREF		(); 

 
void LQC2		(); 
void LD			();
 
void SWC1		(); 

void SQ			(); 


void SQC2		(); 
void SD			();


void SLL		(); 

void SRL		(); 
void SRA		(); 
void SLLV		(); 
void SRLV		(); 
void SRAV		();
void JR			(); 
void JALR		(); 
void MOVZ		(); 
void MOVN		(); 
void SYSCALL	(); 
void BREAK		(); 
void SYNC		();
void MFHI		(); 
void MTHI		(); 
void MFLO		(); 
void MTLO		(); 
void DSLLV		(); 
void DSRLV		(); 
void DSRAV		();
void MULT		(); 
void MULTU		(); 
void DIV		(); 
void DIVU		(); 

/*
void DMULT		(); 
void DMULTU		(); 
void DDIV		(); 
void DDIVU		();
*/
void ADD		(); 
void ADDU		(); 
void SUB		(); 
void SUBU		(); 
void AND		(); 
void OR			(); 
void XOR		(); 
void NOR		();
void MFSA		(); 
void MTSA		(); 
void SLT		(); 
void SLTU		(); 
void DADD		(); 
void DADDU		(); 
void DSUB		(); 
void DSUBU		();
void TGE		(); 
void TGEU		(); 
void TLT		(); 
void TLTU		(); 
void TEQ		(); 
void TNE		(); 
void DSLL		(); 
void DSRL		(); 
void DSRA		(); 
void DSLL32		(); 
void DSRL32		(); 
void DSRA32		();

void BLTZ(); 
void BGEZ(); 
void BLTZL   (); 
void BGEZL  (); 
void TGEI   (); 
void TGEIU (); 
void TLTI(); 
void TLTIU(); 
void TEQI(); 
void TNEI (); 
void BLTZAL   (); 
void BGEZAL  (); 
void BLTZALL  (); 
void BGEZALL  ();
void MTSAB  ();
void MTSAH  ();



	  













#endif

